#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	findutils
Version		:	4.9.0
Release		:	16.2.0.rel%{?dist}
Summary		:	The GNU versions of find utilities (find and xargs)
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/findutils

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Provides	:	/bin/find
#-----------------------------------------------------------------------------
%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS
%{_bindir}/find
%{_bindir}/locate
%{_bindir}/updatedb
%{_bindir}/xargs
%{_libexecdir}/frcode
%{_infodir}/find*.gz
%{_mandir}/man1/find.1.gz
%{_mandir}/man1/locate.1.gz
%{_mandir}/man1/updatedb.1.gz
%{_mandir}/man1/xargs.1.gz
%{_mandir}/man5/locatedb.5.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_localstatedir}		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__rm} -f %{buildroot}%{_infodir}/dir

%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
